KintsugiKintsugi
API reference / Update product

Update product

PUT/v1/products/{product_id}

The Update Product API allows users to modify the details of an existing product identified by its unique product_id. You can retrieve supported categories and subcategories from GET /products/categories endpoint

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

x-organization-idstringRequired

Identifies the organization this request acts on.

Path parameters

product_idstringRequired

Unique identifier of the product to be updated.

Body

idstring

The unique identifier of the product to be updated.

external_idstring

External identifier provided for the product, typically by the source system.

skustring[]
namestringRequired

Name of the product.

descriptionstring

Description of the product.

statusProductStatusEnum

The approval status of the product.

Available options:APPROVEDPARTIALLY_APPROVEDPENDING
product_categorystringRequired

Main category of the product. For example, Physical, Digital, etc. You can retrieve supported categories from GET /products/categories endpoint

product_subcategorystringRequired

Subcategory of the product. For example, General Clothing, UNKNOWN, etc. You can retrieve supported subcategories from GET /products/categories endpoint

tax_exemptbooleanRequired

Indicates whether the product is tax-exempt.

classification_failedboolean

Indicates if the product classification failed.

Response

idstringRequired
external_idstringRequired
skustring[]Required
codestringRequired
namestringRequired
descriptionstringRequired
statusProductStatusEnumRequired
Available options:APPROVEDPARTIALLY_APPROVEDPENDING
product_categorystringRequired

Main category of the product. For example, Physical, Digital, etc. You can retrieve supported categories from GET /products/categories endpoint

product_subcategorystringRequired

Subcategory of the product. For example, General Clothing, UNKNOWN, etc. You can retrieve supported subcategories from GET /products/categories endpoint

tax_exemptbooleanRequired
sourceSourceEnumRequired
Available options:BIGCOMMERCEBESTBUYBUNNYCHARGEBEESHOPIFYSTRIPEAMAZONTIKTOKCUSTOMUNKNOWNIMPORTZUORAAPIDECKQUICKBOOKSAPIAPPLE_APP_STOREGOOGLE_APP_STOREWALMARTPAYPALNETSUITEXEROMAXIORECURLYSALESFORCEETSYEBAYWIXSQUARESPACEWOOCOMMERCEMAGENTOBILLING_PLATFORMDEELRIPPLINGGUSTOFACEBOOKOTHERORDWAYINSTAGRAMPINTERESTWAYFAIRWISHPOSTARGETNEWEGGGROUPONGOOGLE_EXPRESSNOCNOCMERCADO_LIBREMODALYSTNORDSTROMFAIRESHOPWAREZOHOSAGE-INTACCTAIRWALLEXORBZENSKARMICROSOFT_DYNAMICS_365KICKSTARTERINTERNAL_ERP
connection_idstringRequired
classification_failedbooleanRequired
200

Successfully retrieved product by id

401

Unauthenticated request.

404

Resource Not Found

422

Validation error

500

Internal server error

cURL
PUT /v1/products/{product_id}
-H "x-api-key: ***"
-H "x-organization-id: ***"
{
"external_id": "prod_001",
"name": "Updated T-Shirt",
"description": "An updated description for the product",
"status": "APPROVED",
"product_category": "Physical",
"product_subcategory": "General Clothing",
"tax_exempt": false,
"classification_failed": false
}
Example request
https://api.trykintsugi.com/v1/products/{product_id}
Response
{
"id": "prod_xR9t8P1wMK6aQ",
"external_id": "prod_123",
"code": "CODE_1234",
"name": "Test Product",
"description": "This is a test product description.",
"status": "APPROVED",
"product_category": "Physical",
"product_subcategory": "General Clothing",
"tax_exempt": false,
"source": "SHOPIFY",
"classification_failed": false
}